User avatar
Hook
Ottawa, Canada

Posted Tue Jan 25, 2022 1:10 pm

My 3.2.1 Workbench is pretty darn close to being the way I like it, but now I want to use AmiDock from the 3.9 CD.

Is there a how-to I can follow somewhere to make it work in 3.2.1?
Attachments
270126853_678781363283696_2668266706600470138_n.jpg

User avatar
McTrinsic

Posted Tue Jan 25, 2022 2:19 pm

Sorry, don’t know one.
Why am I still answering: in worst case, you can try to copy the drawer of the AmiDock application to your 3.2.1 disk.

Then, on your 3.2.1 system, start SnoopDOS and then the AmiDock executable. SnoopDOS will show what components are missing.

I would expect you need ClassAct/ReAction. See here for example how to get it also from the OS3.9 CD:
https://eab.abime.net/showthread.php?t=100119

Cheers,
McT

User avatar
Hook
Ottawa, Canada

Posted Fri Jan 28, 2022 12:42 pm

Figured it out.

Take the following files from the AmigaOS 3.9 CD and put them in the appropriate drawers:

SYS:WBStartup/AmiDock
SYS:WBStartup/AmiDock.info
SYS:Libs/wizard.library
SYS:Libs/resource.library

Deceptively simple.

User avatar
intric8
Seattle, WA, USA
Website

Posted Fri Jan 28, 2022 4:27 pm

Very cool that you figured that out.

A little off-topic: while I know 3.1.4 was released and then 3.2, do you know if 3.9 is still sold anywhere? Is it actually still... owned by anyone? Seems almost like "Lost OS" that actually had a lot of interesting and useful things in there before recent advancements.

User avatar
McTrinsic

Posted Sat Jan 29, 2022 2:03 am

My impression from the recent copyright-wars is the following.

OS3.9 was a development supervised by Haage&Partner. H&P went seemingly bankrupt recently. It got to the attention of the Amiga community as they were still the distributor of Directory Opus for Windows in German(y).

So I would assume that whatever is sold somewhere is NOS, unlike e.g. 3.1 or 3.1.4/3.2.x + where there are companies behind that still try to make something out of it.

You would support the sales company who still have the NOS CDs, though.

User avatar
McTrinsic

Posted Sat Jan 29, 2022 2:04 am

Is resource.library really required?
The OS doesn’t have that?
Hook wrote:
Fri Jan 28, 2022 12:42 pm
Figured it out.

Take the following files from the AmigaOS 3.9 CD and put them in the appropriate drawers:

SYS:WBStartup/AmiDock
SYS:WBStartup/AmiDock.info
SYS:Libs/wizard.library
SYS:Libs/resource.library

Deceptively simple.

User avatar
Hook
Ottawa, Canada

Posted Sat Jan 29, 2022 9:46 am

McTrinsic wrote:
Sat Jan 29, 2022 2:04 am
Is resource.library really required?
The OS doesn’t have that?
3.2 has a version of resource.library - I did not overwrite it with 3.9's version and AmiDock works fine.

However, 3.1.4 does not have it, so you'd need to use the one on the 3.9 CD.





Return to “Software”